Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class TimeStampedDataParser

    java.lang.Object
      org.bouncycastle.asn1.cms.TimeStampedDataParser

public class TimeStampedDataParser
extends java.lang.Object

Parser for RFC 5544: `TimeStampedData` object.

TimeStampedData ::= SEQUENCE { version INTEGER { v1(1) }, dataUri IA5String OPTIONAL, metaData MetaData OPTIONAL, content OCTET STRING OPTIONAL, temporalEvidence Evidence }

Method Summary
`ASN1OctetStringParser` | `getContent()`
`DERIA5String` | `getDataUri()` Deprecated. Use `getDataUriIA5()` instead.
`ASN1IA5String` | `getDataUriIA5()`
`static TimeStampedDataParser` | `getInstance(java.lang.Object obj)`
`MetaData` | `getMetaData()`
`Evidence` | `getTemporalEvidence()`
`int` | `getVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static TimeStampedDataParser getInstance(java.lang.Object obj)
                                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### getVersion

    public int getVersion()

### getDataUri

    public DERIA5String getDataUri()

  Deprecated. Use `getDataUriIA5()` instead.

### getDataUriIA5

    public ASN1IA5String getDataUriIA5()

### getMetaData

    public MetaData getMetaData()

### getContent

    public ASN1OctetStringParser getContent()

### getTemporalEvidence

    public Evidence getTemporalEvidence()
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD